package com.aucma.dms.domain;

//import com.hw.common.core.annotation.Excel;
//import com.hw.common.core.web.domain.DmsBaseEntity;

import com.aucma.common.annotation.Excel;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 设备配套信息对象 dms_base_device_supplies
 * 
 * @author zangch
 * @date 2024-09-19
 */
public class DmsBaseDeviceSupplies extends DmsBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long deviceSuppliesId;

    /** 设备台账ID */
    @Excel(name = "设备台账ID")
    private Long deviceId;

    /** 配套信息名称 */
    @Excel(name = "配套信息名称")
    private String suppliesName;

    /** 类型（1耗材，2备件） */
    @Excel(name = "类型", readConverterExp = "1=耗材，2备件")
    private String suppliesType;

    /** 需要数量 */
    @Excel(name = "需要数量")
    private BigDecimal requireAmount;

    public void setDeviceSuppliesId(Long deviceSuppliesId) 
    {
        this.deviceSuppliesId = deviceSuppliesId;
    }

    public Long getDeviceSuppliesId() 
    {
        return deviceSuppliesId;
    }
    public void setDeviceId(Long deviceId) 
    {
        this.deviceId = deviceId;
    }

    public Long getDeviceId() 
    {
        return deviceId;
    }
    public void setSuppliesName(String suppliesName) 
    {
        this.suppliesName = suppliesName;
    }

    public String getSuppliesName() 
    {
        return suppliesName;
    }
    public void setSuppliesType(String suppliesType) 
    {
        this.suppliesType = suppliesType;
    }

    public String getSuppliesType() 
    {
        return suppliesType;
    }
    public void setRequireAmount(BigDecimal requireAmount) 
    {
        this.requireAmount = requireAmount;
    }

    public BigDecimal getRequireAmount() 
    {
        return requireAmount;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("deviceSuppliesId", getDeviceSuppliesId())
            .append("deviceId", getDeviceId())
            .append("suppliesName", getSuppliesName())
            .append("suppliesType", getSuppliesType())
            .append("requireAmount", getRequireAmount())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
